firefox is battery inefficient on  stream music site
This blog post compares browser battery efficiency on different web sites:



We are abnormally bad on  for some reason:



Its unclear to me if this is due to actual music streaming or something else going on in the site. I'm sticking it in untriaged for now.
